[suggest] Missing Dependency perl-JSON-Any

Matthew Cox mcox at hmdc.harvard.edu
Thu Jun 11 15:32:24 CEST 2009


Hello,

The module JSON::Any needs at least one of JSON, JSON::XS or JSON::DWIW 
to function. In its current state the RPM for perl-JSON-Any does not 
have a dependency on any of those packages.

Perhaps a dependency on the noarch JSON module would be appropriate?

Thank you,
Matt

$ rpm -qi perl-JSON-Any
Name        : perl-JSON-Any
Version     : 1.19
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/


$ perl -MJSON::Any
Couldn't find a JSON Package. at - line 0
BEGIN failed--compilation aborted.



More information about the users mailing list